.title  {
    color:black;
    font-size: 24px;
    margin: 7% 20%;
    margin-bottom: 5%;
}

table.mainTable {
    width: 800px;
    border-collapse: collapse;
    text-align: center;
}

.mainTable th, td {
    border: 2px solid;
    width:  110px;
    height: 60px;
}

input.table_checkbox {
    width: 25px;
    height: 25px;
}

button.AddButton {
    margin-left: 75%;
    margin-right: auto;
    margin-bottom: 20px;
}


.table_wrapper {

    display: flex;
    align-items: center;
    justify-content: center;
}

/*top menu styling*/

.topMenu {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: grey;
}

.topMenu li {
    float: left;
}

.topMenu li a {
    font-size: 18px;
    display: block;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    align-items: center;
}

.topMenu li button{
    font-size: 18px;
    display: block;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    align-items: center;
}


.topMenu li button:hover{
    background-color: #111;
}

.topMenu li a:hover {
    background-color: #111;
}

img.profile{
    width: 22px;
    height: 22px;
}
input[type=radio]:checked {
    appearance: none;

    border-radius: 50%;
    width: 16px;
    height: 16px;

    border: 2px solid green;
    transition: 0.2s all linear;
    margin-right: 5px;

    position: relative;
    top: 4px;
}
input:checked {
    border: 6px solid green;
}
/*===================================================================================*/


.dropdown {
    float: right;
    overflow: hidden;
}

.dropdown .drop-source {
    border: none;
    outline: none;
    color: white;
    padding: 14px 16px;
    background-color: inherit;
    font-family: inherit;
    font-size: 18px;
    text-align: center;
    text-decoration: none;
    display:flex;
    align-items: center;
}

.dropdown:hover .drop-source {
    background-color:  #111;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: white;
    width: 182px;
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content a {
    float: none;
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}

.dropdown-content a:hover {
    background-color: gray;
}

.dropdown:hover .dropdown-content {
    display: block;
}

/*=====================================================================*/

.circle-anim {
    background: red;
    border-radius: 50%;

    height: 10px;
    width: 10px;

    box-shadow: 0 0 0 0 rgba(0, 0, 0, 1);
    transform: scale(1);
    animation: pulse 2s infinite;
}

@keyframes pulse {
    0% {
        transform: scale(0.95);
        box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.7);
    }

    70% {
        transform: scale(1);
        box-shadow: 0 0 0 10px rgba(0, 0, 0, 0);
    }

    100% {
        transform: scale(0.95);
        box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
    }
}
/* add table */
.Tabs_List {
    position: absolute;
    float: left;
    top:10%;
    list-style: none;
}
.Pages_List{
    position: relative;
    float: bottom;
    list-style: none;
    margin-top: 100px;

    margin-right: 50%;
    text-align: center;
}
.Pages_List li{
    position: relative;
    float:right;
    text-align: center;

    padding:5px;
    margin-right: 5px;
    border: 1px black solid;
}
.Tabs_List li{
    padding-bottom:10px;

}
.Tabs_wrapper{
    display: flex;
    align-items: flex-start;
    justify-content: start;
}

/*================================================== */

.AddStudentWindow {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.4s;
}

.AddStudentWindow.opened {
    visibility: visible;
    opacity: 1;
}

.AddWindowContent {
    border-radius: 4px;
    position: relative;
    width: 500px;
    max-width: 90%;
    background-color: #fff;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
    padding: 32px 24px;
}

.AddWindowHeader {
    margin-bottom: 32px;

    display: flex;
    justify-content: space-between;
}

.AddStudentForm {
    display: flex;
    flex-direction: column;
    gap: 18px;
}

.Add_inputContainer {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.Add_input {
    font-size: 16px;
    padding: 12px 16px;
}

.Add_Buttons {

    display: flex;
    justify-content: center;
    gap: 18px;
}

.AddFormButton {
    background-color: transparent;
    border: 2px solid #343a40;
    font-size: 16px;
    margin-top: 10px;
    padding: 8px 16px;
}

.AddFormButton:hover,
.AddFormButton:active {
    background-color: rgba(0, 0, 0, 0.1);
}

/* DELETE STUDENT WINDOW */

.delWindow {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.4s;
}

.delWindow.opened {
    visibility: visible;
    opacity: 1;
}

.delWindow-content {
    border-radius: 4px;
    position: relative;
    width: 500px;
    max-width: 90%;
    background-color: #fff;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
    padding: 32px 24px;
}

.delHeader {
    margin-bottom: 32px;
    border-bottom: black  solid 1px  ;
    display: flex;
    justify-content: space-between;
}
.form-buttons{
    border-top: black solid 1px;
}
.delText {
    margin-bottom: 42px;
}
